/* Common Styles */

@import url('https://fonts.googleapis.com/css2?family=Bellota+Text:wght@300;400;700&family=Monoton&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    outline: none;
    font-family: 'Bellota Text', cursive;
    font-weight: 400;
}

.section-heading{
    font-size: 8rem;
    font-weight: bold;
    color: #999;
    text-transform: uppercase;
    text-align: center;
    opacity: .1;
    text-shadow: 2rem 2rem 2rem #aaa;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
}

.container{
    width: 100%;
    overflow-x: hidden;
}

/* End Of Common Styles */

/* Section-1 */

.section-1{
    width: 100%;
    height: 100vh;
    background: #fff;
    position: relative;
}

.floating-bg{
    width: 150vw;
    height: 150vw;
    background-color: rgba(50,231,255, .8);
    position: absolute;
    top: -125vw;
    left: calc(50% - 75vw);
    border-radius: 45%;
    animation: rotate 30s infinite;
}

.floating-bg::before{
    content: "";
    width: 100%;
    height: 100%;
    background-color: rgba(50,231,255, .1);
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 40%;
    animation: rotate 30s infinite;
}

@keyframes rotate{
    0%{
        transform: rotate(0);
    }
    100%{
        transform: rotate(360deg);
    }
}

.navbar{
    position: relative;
    z-index: 20;
    top: 4rem;
    display: flex;
    justify-content: space-evenly;
}

.navbar-link{
    font-size: 2.2rem;
    font-weight: 700;
    letter-spacing: .2rem;
    color: #fff;
    width: 1.5rem;
    word-wrap: break-word;
    text-align: center;
    transition: all 0.5s;
}

.navbar-link:hover{
    width: 15rem;
    background-color: rgba(255,255,255, .2);
    transition: all .2s;
}

.section-1-heading{
    font-size: 8rem;
    font-family: 'Monoton','cursive';
    position: absolute;
    top: 20vw;
    left: 50%;
    transform: translateX(-50%);
    text-shadow: 0.3rem 0.3rem 0.3rem #888;
    color: #fff;
    background-color: #fff;
    width: 80rem;
    padding: .8rem 1.6rem;
    border-radius: .8rem;
    text-align: center;
    opacity: 0.9;
    text-transform: lowercase;
}

.logo{
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translateX(-50%);
}

.logo i{
    font-size: 15rem;
    color: rgba(50,231,255, .8);
    text-shadow: 0.1rem 0.1rem .2rem #ddd,
    -0.1rem -.1rem .2rem #ddd;
}


/* End of Section-1 */

/* Section-2 */

.section-2{
    width: 100%;
    height: 110vh;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.customers-wrapper{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 70%;
}

.customer{
    width: 35rem;
    height: 50rem;
    height: 45rem;
    background-color: #eee;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: .5rem;
    padding: 2rem;
    padding: 1rem;
    box-shadow: .5rem .5rem 1rem #ddd, 
    -.5rem -.5rem 1rem #eee;
    transition: box-shadow .5s;
}

.customer:hover{
    box-shadow: 1rem 1rem 2rem #ddd,
    -1rem -1rem 2rem #eee;
}

.customer:first-child {
    align-self: flex-end;
}

.customer:last-child {
    align-self: flex-start;
}

.fa-quote-left{
    font-size: 3rem;
    color: #f08e0f;
}

.customer-text{
    font-size: 1.7rem;
    margin: 3rem 0;
    text-align: justify;
}

.customer-text::first-letter{
    margin-left: 1.5rem;
}

.customer-rating{
    font-size: 1.8rem;
    color: #f08e0f;
}

.customer-img{
    width: 8rem;
    height: 8rem;
    object-fit: cover;
    margin: 2rem 0;
    border-radius: 50%;
}

.customer-name{
    font-size: 2rem;
    font-weight: 700;
}

/* End of Section-2 */

/* Section-3 */

.section-3{
    width: 100%;
    height: 120vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 5rem 0
}

.team-wrapper{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 70%;
}

.team-member{
    width: 30rem;
    background-color: #fffeee;
    padding: 1rem 1rem 2rem 1rem;
    box-shadow: 1rem 1rem 2rem #ddd, -1rem -1rem 2rem #eee;
    position: relative;
    opacity: 0.7;
    transition: opacity 0.5s;
}

.team-member:hover{
    opacity: 1;
}

.team-member:first-child{
  align-self: flex-start;  
}

.team-member:last-child{
    align-self: flex-end;  
}

.team-member-img{
    width: 100%;
    border-radius: .5rem;
}

.team-member-name{
    font-size: 2.3rem;
    font-weight: 700;
    color: #796717;
    margin-top: 2rem;
}

.team-member-name span{
    font-size: 1.7rem;
}

.team-member-skill{
    display: flex;
    justify-content: space-between;
    margin: 1rem 0 2rem 0;
}

.team-member-skill li{
    font-size: 1.5rem;
    color: #505050;
}

.project-btn{
    background-color: #fab34a;
    color: #fff;
    padding: .5rem 1.5rem;
    border-radius: 5rem;
    font-size: 1.5rem;
    letter-spacing: .2rem;
}

.story-btn{
    width: 4rem;
    height: 4rem;
    background-color: #222;
    position: absolute;
    top: -1rem;
    right: -1rem;
    border-radius: 5rem;
    z-index: 50;
    display: flex;
    align-items: center;
    padding: .5rem;
    cursor: pointer;
    transition: transform .5s;
}

.change.story-btn{
  transform: rotate(405deg);  
}

.story-btn-line{
    width: 100%;
    height: .1rem;
    background-color: #fff;
}

.story{
    height: 100%;
    background-color: rgba(253,69,69, 0.9);
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    transform: scale(0);
    transform-origin: top right;
    border-radius: 50rem 0 50rem 50rem;
    transition: all 0.5s;
}

.change.story{
    transform: scale(1);
    border-radius: 0;
}

.story-heading{
    font-size: 4rem;
    font-weight: 700;
    color: #fff;
    margin-bottom: 2rem;
}

.story-paragraph{
    font-size: 1.8rem;
    color: #eee;
    text-align: justify;
    letter-spacing: .1rem;
    text-indent: 2rem;
}

/* End of Section-3 */

/* Section-4 */

.section-4{
    width: 100%;
    height: 130vh;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.form-container{
    width: 80%;
    height: 40%;
    background-color: #e5e9ff;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    box-shadow: .3rem .3rem .4rem #ccc,
    -.1rem -.1rem .4rem#ccc;
    border-radius: .5rem;
    perspective: 100rem;
}

.form-img{
    width: 40rem;
    background-color: rgba(50,231,255, .8);
    padding: 5rem;
    opacity: .8;
    box-shadow: -.3rem 3rem 4rem #aaa;
    border-radius: 0.5rem;
    transform: rotateY(20deg);
    transition: all 0.5s;
}

.form-img:hover{
    transform: translateY(-2rem) rotateY(20deg);
    box-shadow: -5rem 5rem 7rem #aaa;
}

.contact-form{
    width: 45rem;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    padding: 3rem;
    border-radius: 0.5rem;
    box-shadow: 3rem 3rem 4rem #aaa ;
    transform: rotateY(-20deg);
    transition: all 0.5s;
}

.contact-form:hover{
    transform: translateY(-2rem) rotateY(-20deg);
    box-shadow: 5rem 5rem 7rem #aaa;
}

.contact-form input,
.contact-form textarea{
    margin: 1rem;
    padding: 1rem;
    font-size: 1.6rem;
    letter-spacing: .1rem;
    border-radius:2rem ;
    border: none;
    box-shadow: inset .1rem .1rem .2rem #ddd 
    -.1rem -.1rem .2rem #ddd;
}

.contact-form textarea{
    max-height: 15rem;
    min-height: 10rem;
    max-width: 100%;
    min-width: 70%;
}

.contact-form input[type="submit"]{
    background-color: rgba(50,231,255, .8);
    color: #fff;
    font-weight: bold;
    letter-spacing: 0.5rem;
    cursor: pointer;
    transition: background-color 0.5s;
}

.contact-form input[type="submit"]:hover{
    background-color: #32e7ff;
}

.copyright{
    font-size: 1.8rem;
    letter-spacing: 0.2rem;
    color: #444;
    margin-top: 5rem;
}

.scroll-up-btn{
    width: 5rem;
    height: 5rem;
    font-size: 1.6rem;
    background-color: rgba(50,231,255, .8);
    position: fixed;
    bottom: 5rem;
    right: 5rem;
    border-radius: 5rem;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: backgroun-color 0.5s;
}

.scroll-up-btn{
    background-color: #32e7ff;
}

/*  End of Section-4 */ 






